<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package freshaura
 */

?>


<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-layout col-md-6');  ?>>

    <!-- Post Thumbnail -->
    <div class="post-thumbnail">
        <?php freshaura_post_thumbnail(); ?>
    </div>

    <!-- Post Content -->
    <div class="post-content">
        <!-- Entry Header -->
        <header class="entry-header">
            <?php 
            if ( is_singular() ) :
                the_title( '<h1 class="entry-title">', '</h1>' );
            else :
                the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
            endif;

            if ( 'post' === get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php
                    freshaura_posted_on();
                    freshaura_posted_by();
                    ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
        </header><!-- .entry-header -->

        <!-- Entry Content -->
        <div class="entry-content">
            <?php
            the_excerpt(
                sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'freshaura' ),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    wp_kses_post( get_the_title() )
                )
            );

            wp_link_pages(
                array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'freshaura' ),
                    'after'  => '</div>',
                )
            );
            ?>
        </div><!-- .entry-content -->
        
    </div><!-- .col-md-8 -->
</article><!-- #post-<?php the_ID(); ?> -->

